import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, arc } from 'd3';

const width = 960;
const height = 520;
const centerX = width / 2;
const centerY = height / 2;
const csvUrl =
  'https://gist.githubusercontent.com/Echo226/c2fba4e7edf964ccfcfa8de919aaad98/raw/c15d1d5b7efdda6de89ac0e6abfb0a34e37ed01d/gyDay.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  
  if (!data) {
    return <pre>Loading...</pre>;
  }
  console.log(data[0])
  return (
    <svg width={width} height={height}>
      <g transform={`translate(${centerX}, ${centerY})`}>
  
        
        {data.map((d, i) => (
          <path
            fill="lightblue"
            stroke="White"
            stroke-width="5"
            d={arc()({
              startAngle: (i / data.length) * 2 * Math.PI,
              endAngle: ((i + 1) / data.length) * 2 * Math.PI,
              innerRadius: 110,
              outerRadius: d['DEP_DELAY'] * 19
            })}
          />
        ))}

      </g>
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);













